IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/7
Addresses2^121
/64 networks2^57
- Network
3800::/7- First address
3800::- Last address
39ff:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 2,658,455,991,569,831,745,807,614,120,560,689,152 (2^121)
- /64 networks (LANs)
- 144,115,188,075,855,872 (2^57)
- Full form
3800:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zones
8.3.ip6.arpa9.3.ip6.arpa
/7 is not on a 4-bit boundary, so it takes 2 /8 zones.
Split into smaller subnets
3800::/7 makes 512 subnets of /16; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3800::/16 | 3800:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 3801::/16 | 3801:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 3802::/16 | 3802:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 3803::/16 | 3803:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 3804::/16 | 3804:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 3805::/16 | 3805:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 3806::/16 | 3806:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 3807::/16 | 3807:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 3808::/16 | 3808:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 3809::/16 | 3809:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 380a::/16 | 380a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 380b::/16 | 380b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 380c::/16 | 380c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 380d::/16 | 380d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 380e::/16 | 380e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 380f::/16 | 380f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 3810::/16 | 3810:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 3811::/16 | 3811:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 3812::/16 | 3812:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 3813::/16 | 3813:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 3814::/16 | 3814:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 3815::/16 | 3815:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 3816::/16 | 3816:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 3817::/16 | 3817:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 3818::/16 | 3818:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 3819::/16 | 3819:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 381a::/16 | 381a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 381b::/16 | 381b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 381c::/16 | 381c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 381d::/16 | 381d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 381e::/16 | 381e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 381f::/16 | 381f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 3820::/16 | 3820:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 3821::/16 | 3821:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 3822::/16 | 3822:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 3823::/16 | 3823:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 3824::/16 | 3824:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 3825::/16 | 3825:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 3826::/16 | 3826:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 3827::/16 | 3827:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 3828::/16 | 3828:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 3829::/16 | 3829:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 382a::/16 | 382a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 382b::/16 | 382b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 382c::/16 | 382c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 382d::/16 | 382d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 382e::/16 | 382e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 382f::/16 | 382f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 3830::/16 | 3830:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 3831::/16 | 3831:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 3832::/16 | 3832:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 3833::/16 | 3833:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 3834::/16 | 3834:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 3835::/16 | 3835:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 3836::/16 | 3836:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 3837::/16 | 3837:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 3838::/16 | 3838:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 3839::/16 | 3839:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 383a::/16 | 383a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 383b::/16 | 383b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 383c::/16 | 383c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 383d::/16 | 383d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 383e::/16 | 383e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 383f::/16 | 383f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 3840::/16 | 3840:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 3841::/16 | 3841:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 3842::/16 | 3842:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 3843::/16 | 3843:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 3844::/16 | 3844:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 3845::/16 | 3845:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 3846::/16 | 3846:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 3847::/16 | 3847:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 3848::/16 | 3848:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 3849::/16 | 3849:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 384a::/16 | 384a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 384b::/16 | 384b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 384c::/16 | 384c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 384d::/16 | 384d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 384e::/16 | 384e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 384f::/16 | 384f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 3850::/16 | 3850:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 3851::/16 | 3851:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 3852::/16 | 3852:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 3853::/16 | 3853:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 3854::/16 | 3854:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 3855::/16 | 3855:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 3856::/16 | 3856:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 3857::/16 | 3857:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 3858::/16 | 3858:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 3859::/16 | 3859:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 385a::/16 | 385a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 385b::/16 | 385b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 385c::/16 | 385c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 385d::/16 | 385d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 385e::/16 | 385e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 385f::/16 | 385f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 3860::/16 | 3860:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 3861::/16 | 3861:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 3862::/16 | 3862:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 3863::/16 | 3863:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 3864::/16 | 3864:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 3865::/16 | 3865:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 3866::/16 | 3866:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 3867::/16 | 3867:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 3868::/16 | 3868:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 3869::/16 | 3869:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 386a::/16 | 386a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 386b::/16 | 386b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 386c::/16 | 386c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 386d::/16 | 386d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 386e::/16 | 386e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 386f::/16 | 386f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 3870::/16 | 3870:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 3871::/16 | 3871:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 3872::/16 | 3872:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 3873::/16 | 3873:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 3874::/16 | 3874:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 3875::/16 | 3875:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 3876::/16 | 3876:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 3877::/16 | 3877:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 3878::/16 | 3878:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 3879::/16 | 3879:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 387a::/16 | 387a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 387b::/16 | 387b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 387c::/16 | 387c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 387d::/16 | 387d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 387e::/16 | 387e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 387f::/16 | 387f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 3880::/16 | 3880:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 3881::/16 | 3881:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 3882::/16 | 3882:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 3883::/16 | 3883:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 3884::/16 | 3884:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 3885::/16 | 3885:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 3886::/16 | 3886:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 3887::/16 | 3887:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 3888::/16 | 3888:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 3889::/16 | 3889:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 388a::/16 | 388a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 388b::/16 | 388b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 388c::/16 | 388c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 388d::/16 | 388d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 388e::/16 | 388e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 388f::/16 | 388f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 3890::/16 | 3890:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 3891::/16 | 3891:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 3892::/16 | 3892:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 3893::/16 | 3893:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 3894::/16 | 3894:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 3895::/16 | 3895:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 3896::/16 | 3896:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 3897::/16 | 3897:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 3898::/16 | 3898:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 3899::/16 | 3899:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 389a::/16 | 389a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 389b::/16 | 389b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 389c::/16 | 389c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 389d::/16 | 389d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 389e::/16 | 389e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 389f::/16 | 389f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 38a0::/16 | 38a0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 38a1::/16 | 38a1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 38a2::/16 | 38a2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 38a3::/16 | 38a3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 38a4::/16 | 38a4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 38a5::/16 | 38a5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 38a6::/16 | 38a6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 38a7::/16 | 38a7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 38a8::/16 | 38a8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 38a9::/16 | 38a9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 38aa::/16 | 38aa:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 38ab::/16 | 38ab:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 38ac::/16 | 38ac:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 38ad::/16 | 38ad:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 38ae::/16 | 38ae:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 38af::/16 | 38af:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 38b0::/16 | 38b0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 38b1::/16 | 38b1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 38b2::/16 | 38b2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 38b3::/16 | 38b3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 38b4::/16 | 38b4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 38b5::/16 | 38b5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 38b6::/16 | 38b6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 38b7::/16 | 38b7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 38b8::/16 | 38b8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 38b9::/16 | 38b9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 38ba::/16 | 38ba:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 38bb::/16 | 38bb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 38bc::/16 | 38bc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 38bd::/16 | 38bd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 38be::/16 | 38be:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 38bf::/16 | 38bf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 38c0::/16 | 38c0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 38c1::/16 | 38c1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 38c2::/16 | 38c2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 38c3::/16 | 38c3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 38c4::/16 | 38c4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 38c5::/16 | 38c5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 38c6::/16 | 38c6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 38c7::/16 | 38c7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 38c8::/16 | 38c8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 38c9::/16 | 38c9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 38ca::/16 | 38ca:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 38cb::/16 | 38cb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 38cc::/16 | 38cc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 38cd::/16 | 38cd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 38ce::/16 | 38ce:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 38cf::/16 | 38cf:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 38d0::/16 | 38d0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 38d1::/16 | 38d1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 38d2::/16 | 38d2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 38d3::/16 | 38d3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 38d4::/16 | 38d4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 38d5::/16 | 38d5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 38d6::/16 | 38d6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 38d7::/16 | 38d7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 38d8::/16 | 38d8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 38d9::/16 | 38d9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 38da::/16 | 38da:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 38db::/16 | 38db:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 38dc::/16 | 38dc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 38dd::/16 | 38dd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 38de::/16 | 38de:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 38df::/16 | 38df:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 38e0::/16 | 38e0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 38e1::/16 | 38e1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 38e2::/16 | 38e2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 38e3::/16 | 38e3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 38e4::/16 | 38e4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 38e5::/16 | 38e5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 38e6::/16 | 38e6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 38e7::/16 | 38e7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 38e8::/16 | 38e8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 38e9::/16 | 38e9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 38ea::/16 | 38ea:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 38eb::/16 | 38eb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 38ec::/16 | 38ec:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 38ed::/16 | 38ed:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 38ee::/16 | 38ee:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 38ef::/16 | 38ef:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 38f0::/16 | 38f0:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 38f1::/16 | 38f1:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 38f2::/16 | 38f2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 38f3::/16 | 38f3:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 38f4::/16 | 38f4:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 38f5::/16 | 38f5:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 38f6::/16 | 38f6:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 38f7::/16 | 38f7:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 38f8::/16 | 38f8:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 38f9::/16 | 38f9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 38fa::/16 | 38fa:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 38fb::/16 | 38fb:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 38fc::/16 | 38fc:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 38fd::/16 | 38fd:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 38fe::/16 | 38fe:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 38ff::/16 | 38ff:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |